## fbautostart 2.718281828

=== src/Makefile ===
CXX=g++

CFLAGS=-Wall
BIN=../bin/
INC=../include/

TARGETS=$(shell ls *.cc | sed s/.cc/.o/g)


all: $(TARGETS) link clean

clean:
	@echo "Removing all .o files."
	@rm -f *.o

link:
	$(CXX) $(TARGETS) -o $(BIN)fluxbox-xdg

.cc.o:
	$(CXX) $(CFLAGS) -I$(INC) -c -o $@ $<

=== doc/asciidoc/Makefile ===
#
# create manpages from the asciidoc files
#

SRC1 = fbautostart.txt

MAN = $(SRC1:.txt=.1)
MANdotIN = $(addsuffix .in,$(MAN))
DISTFILES = $(addprefix ../,$(MANdotIN))

all: $(MAN)

dist: $(DISTFILES)

clean:
	rm -fv $(MAN)

%.1 : %.xml
	xmlto man $<

%.5 : %.xml
	xmlto man $<

../%.1.in: %.1
	cp $< $@

../%.5.in: %.5
	cp $< $@

%.xml : %.txt
	asciidoc -b docbook -d manpage -o $@ $<

## fbautostart 2.71828

=== debian/changelog ===
fbautostart (2.71828-1) unstable; urgency=low

  * Moved to collab-maint, reflected that change in the Vcs-*
    tags in the control file. Should be a bit nicer then github
    (since it's a debian package and all).
  * New upstream version

 -- Paul Tagliamonte <paultag@ubuntu.com>  Wed, 16 Feb 2011 17:21:25 -0500

fbautostart (2.7182-2) unstable; urgency=low

  * changed copyright file to DEP5. 
  * Removed a space on the rules file. Down to 2 lines.
  * Fixed a spelling error ( Thanks, Jonas Smedegaard )
    (Closes: #601883) (LP: #668791)
  * Fixed a control file error. It was gramatically wrong.
    ( Thanks, Josh Triplett ) (Closes: #601891 ) (LP: #668828)

 -- Paul Tagliamonte <paultag@ubuntu.com>  Tue, 02 Nov 2010 21:27:12 -0400

fbautostart (2.7182-1) unstable; urgency=low

  * Initial release. (Closes: 600944) (LP: #581296)

 -- Paul Tagliamonte <paultag@ubuntu.com>  Thu, 21 Oct 2010 21:00:59 -0400

=== debian/control ===
Source: fbautostart
Section: misc
Priority: optional
Maintainer: Paul Tagliamonte <paultag@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.1
Homepage: https://launchpad.net/fbautostart
Vcs-Git: git://git.debian.org/collab-maint/fbautostart.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/fbautostart.git

Package: fbautostart
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: XDG compliant autostarting app for Fluxbox
 The fbautostart app was designed to have little to no overhead, while
 still maintaining the needed functionality of launching applications
 according to the XDG spec.
 .
 This package contains support for GNOME and KDE.

## fbautostart 2.718281

=== debian/changelog ===
fbautostart (2.718281-1) unstable; urgency=low

  * New upstream release. This solves tons of parsing issues.
  * Standards bumped to 3.9.2. No changes needed.
  * Upstream changed the license to BSD-3 clause.

 -- Paul Tagliamonte <paultag@ubuntu.com>  Mon, 12 Sep 2011 18:42:56 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Paul Tagliamonte <paultag@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: https://launchpad.net/fbautostart
 Vcs-Git: git://git.debian.org/collab-maint/fbautostart.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/fbautostart.git

=== debian/watch ===
version=3
https://launchpad.net/fbautostart/+download http://launchpad.net/fbautostart/.*/fbautostart-(.+).tar.gz

## fbautostart 2.7182818

=== debian/changelog ===
fbautostart (2.7182818-1) unstable; urgency=low

  * New upstream release. Solves an issue with failing to ignore files that
    end with something other then .desktop.
  * Routine update to the packaging.
    - debian/copyright updated to version 1.0 of DEP5.
    - Standards bump to 3.9.3, no changes needed.

 -- Paul Tagliamonte <paultag@ubuntu.com>  Fri, 16 Mar 2012 17:00:00 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Paul Tagliamonte <paultag@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: https://launchpad.net/fbautostart
 Vcs-Git: git://git.debian.org/collab-maint/fbautostart.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/fbautostart.git

## fbautostart 2.718281828

=== debian/changelog ===
fbautostart (2.718281828-2) unstable; urgency=medium

  * Team upload of Debian team

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Andreas Tille ]
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use correct machine-readable copyright file URI.
  * watch file standard 4 (routine-update)
  * Enable hardening options

 -- Andreas Tille <tille@debian.org>  Wed, 09 Oct 2024 14:24:20 +0200

fbautostart (2.718281828-1) unstable; urgency=low

  * New upstrem release fixes some bugs regarding paths with ":"s in them.
  * Bump to compat 9, which adds in build-flag hardening.
  * debian/copyright changes
    - Fix a typo in the source URL
    - Upstream has been using the Expat license. Correcting the d/copyright to
      correctly note this.

 -- Paul Tagliamonte <paultag@ubuntu.com>  Sun, 17 Jun 2012 16:11:50 -0400

fbautostart (2.71828182-1) unstable; urgency=low

  * New upstream release. Solves the FTBFS with gcc-4.7. Thanks, doko.
    (Closes: #667164)

 -- Paul Tagliamonte <paultag@ubuntu.com>  Wed, 04 Apr 2012 19:51:55 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: fbautostart
 Section: misc
 Priority: optional
-Maintainer: Paul Tagliamonte <paultag@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.3
+Maintainer: Paul Tagliamonte <paultag@debian.org>
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.0
 Homepage: https://launchpad.net/fbautostart
-Vcs-Git: git://git.debian.org/collab-maint/fbautostart.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/fbautostart.git
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/debian/fbautostart.git
+Vcs-Browser: https://salsa.debian.org/debian/fbautostart
 
 Package: fbautostart
 Architecture: any

=== debian/watch ===
version=4
https://launchpad.net/fbautostart/+download \
    https://launchpad.net/fbautostart/.*/fbautostart-(.+).tar.gz
